Get total number of notifications that are unread and unarchived for the current user. Use lastCheckDateTimeUtc to get the number of new notifications since the passed in date and time. By default, only the latest 250 notifications will be taken into account. Use the 'noLimit' query parameter to override this behavior.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| lastCheckDateTimeUtc | Used when calculating the number of new notifications. Must be a UTC DateTime in the format yyyy-MM-ddTHH:mm:ssZ. If not passed the TotalNotifications and NewNotifications will be equal. | string (date-time) | Optional |
| noLimit | If true, will return the badge totals for all of the user’s notifications, not just the 250 most recent ones | boolean | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
NotificationBadgeResponse
| Property | Description | Type |
|---|---|---|
| lastCheckDateTimeUtc | The date and time in UTC the query to get the badge data was run | string (date-time) |
| newNotifications | Total of unread and unarchived notifications since the last checked date time | integer (int32) |
| totalNotifications | Total of unread and unarchived notifications | integer (int32) |
Example Response
{ "lastCheckDateTimeUtc": "2026-03-30", "newNotifications": 1, "totalNotifications": 1
}